Upstream information

CVE-2016-9397 at MITRE

Description

The jpc_dequantize function in jpc_dec.c in JasPer 1.900.13 allows remote attackers to cause a denial of service (assertion failure) via unspecified vectors.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 1.5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P AV:L/AC:M/Au:S/C:N/I:N/A:P
Access Vector Network Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 3.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1010786 [RESOLVED / FIXED], 1011829 [RESOLVED / FIXED], 1178702 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libjasper1 >= 1.900.14-195.22.1
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libjasper-devel >= 1.900.14-195.22.1
  • libjasper1 >= 1.900.14-195.22.1
  • libjasper1-32bit >= 1.900.14-195.22.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-2690
SUSE-SLE-SERVER-12-SP5-2020-2690
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libjasper-devel >= 1.900.14-195.22.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-2690


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 jasper Affected
SLES for SAP Applications ghostscript-library Ignore
SUSE CaaS Platform 4.0 jasper Not affected
SUSE Enterprise Storage 6 jasper Not affected
SUSE Enterprise Storage 7 jasper Not affected
SUSE Enterprise Storage 7.1 jasper Not affected
SUSE Linux Enterprise Desktop 11 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP4 jasper Affected
SUSE Linux Enterprise Desktop 12 jasper Affected
SUSE Linux Enterprise Desktop 12 SP1 jasper Affected
SUSE Linux Enterprise Desktop 12 SP2 jasper Affected
SUSE Linux Enterprise Desktop 12 SP3 jasper Affected
SUSE Linux Enterprise Desktop 12 SP4 jasper Affected
SUSE Linux Enterprise Desktop 15 jasper Not affected
SUSE Linux Enterprise Desktop 15 SP1 jasper Not affected
SUSE Linux Enterprise Desktop 15 SP2 jasper Not affected
SUSE Linux Enterprise Desktop 15 SP3 jasper Not affected
SUSE Linux Enterprise Desktop 15 SP4 jasper Not affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search ghostscript-library Ignore
SUSE Linux Enterprise High Performance Computing 12 SP4 jasper Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 jasper Released
SUSE Linux Enterprise High Performance Computing 15 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 jasper Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS jasper Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 jasper Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 jasper Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 jasper Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 jasper Not affected
SUSE Linux Enterprise Point of Service 11 SP3 jasper Affected
SUSE Linux Enterprise Real Time 15 SP2 jasper Not affected
SUSE Linux Enterprise Real Time 15 SP3 jasper Not affected
SUSE Linux Enterprise Server 11 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP1 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3 jasper Affected
SUSE Linux Enterprise Server 11 SP3 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3-LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3-LTSS jasper Affected
SUSE Linux Enterprise Server 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP4 jasper Affected
SUSE Linux Enterprise Server 11 SP4 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP4 LTSS jasper Affected
SUSE Linux Enterprise Server 11 SP4-LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP4-LTSS jasper Affected
SUSE Linux Enterprise Server 12 jasper Affected
SUSE Linux Enterprise Server 12 SP1 jasper Affected
SUSE Linux Enterprise Server 12 SP1-LTSS jasper Affected
SUSE Linux Enterprise Server 12 SP2 jasper Affected
SUSE Linux Enterprise Server 12 SP2-BCL jasper Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS jasper Affected
SUSE Linux Enterprise Server 12 SP2-LTSS jasper Affected
SUSE Linux Enterprise Server 12 SP3 jasper Affected
SUSE Linux Enterprise Server 12 SP3-BCL jasper Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS jasper Affected
SUSE Linux Enterprise Server 12 SP3-LTSS jasper Affected
SUSE Linux Enterprise Server 12 SP4 jasper Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS jasper Affected
SUSE Linux Enterprise Server 12 SP4-LTSS jasper Affected
SUSE Linux Enterprise Server 12 SP5 jasper Released
SUSE Linux Enterprise Server 12-LTSS jasper Affected
SUSE Linux Enterprise Server 15 jasper Not affected
SUSE Linux Enterprise Server 15 SP1 jasper Not affected
SUSE Linux Enterprise Server 15 SP1-BCL jasper Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS jasper Not affected
SUSE Linux Enterprise Server 15 SP2 jasper Not affected
SUSE Linux Enterprise Server 15 SP2-BCL jasper Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS jasper Not affected
SUSE Linux Enterprise Server 15 SP3 jasper Not affected
SUSE Linux Enterprise Server 15 SP4 jasper Not affected
SUSE Linux Enterprise Server 15-LTSS jasper Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 11 ghostscript-library Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP4 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 12 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 jasper Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 jasper Released
SUSE Linux Enterprise Server for SAP Applications 15 jasper Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 jasper Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 jasper Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 jasper Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 jasper Not affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP4 jasper Affected
SUSE Linux Enterprise Software Development Kit 12 jasper Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 jasper Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 jasper Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 jasper Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 jasper Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 jasper Released
SUSE Manager Proxy 4.0 jasper Not affected
SUSE Manager Proxy 4.1 jasper Not affected
SUSE Manager Proxy 4.2 jasper Not affected
SUSE Manager Proxy 4.3 jasper Not affected
SUSE Manager Retail Branch Server 4.0 jasper Not affected
SUSE Manager Retail Branch Server 4.1 jasper Not affected
SUSE Manager Retail Branch Server 4.2 jasper Not affected
SUSE Manager Retail Branch Server 4.3 jasper Not affected
SUSE Manager Server 4.0 jasper Not affected
SUSE Manager Server 4.1 jasper Not affected
SUSE Manager Server 4.2 jasper Not affected
SUSE Manager Server 4.3 jasper Not affected
SUSE OpenStack Cloud 7 jasper Affected
SUSE OpenStack Cloud 8 jasper Affected
SUSE OpenStack Cloud 9 jasper Affected
SUSE OpenStack Cloud Crowbar 8 jasper Affected
SUSE OpenStack Cloud Crowbar 9 jasper Affected


SUSE Timeline for this CVE

CVE page created: Thu Nov 17 11:40:00 2016
CVE page last modified: Wed Dec 7 16:10:52 2022